*, :after, :before {
    box-sizing: inherit;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

html {
    box-sizing: border-box
}

h1, h2, h3, h4, h5, h6 {
    font-size: inherit;
    font-weight: inherit;
    margin: 0
}

p {
    margin: 0
}

picture {
    display: block
}

img {
    display: block;
    border: none
}

img, svg {
    vertical-align: middle
}

a {
    background-color: transparent;
    color: inherit;
    text-decoration: none
}

:focus {
    outline: none
}

button {
    all: unset
}

:root {
    --font-main-weight: 900;
    --font-main-color: #fff;
    --font-main-style: normal;
    --font-optical-sizing: auto;
    --font-main: "Rubik", sans-serif;
    /*--bg-color: #000D27;*/
}

body {
    line-height: 1;
    text-rendering: optimizeSpeed;
    -webkit-text-decoration-skip: objects;
    -webkit-text-size-adjust: 100%;
    -webkit-font-smoothing: antialiased;
    -webkit-tap-highlight-color: transparent;
    /*background-color: var(--bg-color);*/
    font-family: var(--font-main), sans-serif;
    font-weight: var(--font-main-weight);
    color: var(--font-main-color);
    font-optical-sizing: var(--font-optical-sizing);
    font-style: var(--font-main-style);
    text-transform: uppercase;
    height: -webkit-fill-available;
    display: flex;
    flex-direction: column;
    height: 100dvh;
    position: relative;
}

.main {
    flex: 1;
    display: flex;
    flex-direction: column;
    position: relative;
    background: image-set(
        url('../img/bg/bg@1x.webp') 1x,
        url('../img/bg/bg@2x.webp') 2x
    ) no-repeat center center;
    background-size: cover;
}

.main::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: image-set(
            url('../img/mask/mask@1x.webp') 1x,
            url('../img/mask/mask@2x.webp') 2x
    ) no-repeat center bottom;
    background-size: inherit;
    z-index: var(--main-z-index, 21);
    pointer-events: none;
}

.particles-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 3;
    overflow: hidden;
    pointer-events: auto;
}

#particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 3;
    pointer-events: auto;
}

.content {
    position: relative;
    z-index: 20;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    width: 100%;
    flex: 1;
    pointer-events: auto;
}

.content-isolate {
    z-index: auto;
}

.logo {
    height: auto;
    margin: 0 auto;
    position: relative;
    aspect-ratio: 374 / 67;
    width: 308px;
    isolation: isolate;
    z-index: 100;
}

.title {
    line-height: 1.2;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 100;
}

.title-hide {
    z-index: 1;
}

.title_first {
    font-size: 52px;
    letter-spacing: 1.56px;
    font-weight: 900;
    background: linear-gradient(to top,
    #281A03 6%,
    #362C1B 30%,
    #462D03 55%,
    #281A03 87%
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
}

.title_first::before {
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    -webkit-text-stroke: 3px #FFBB00;
    color: transparent;
    background: none;
    z-index: -1;
}

.title_second {
    font-size: 52px;
    letter-spacing: 1.56px;
    font-weight: 600;
    position: relative;
    color: #FFF;
    text-shadow: 0 4px 4px rgba(0, 0, 0, 0.55);
}

.wheel {
    position: relative;
    aspect-ratio: 630 / 740;
    width: 100%;
    opacity: 1;
    transition: opacity 0.3s ease;
    z-index: 6;
}

.wheel-wrapper {
    position: relative;
}

.wheel--hide {
    transition: opacity 0.3s ease;
    opacity: 0;
}

.wheel__stand {
    width: 100%;
    position: absolute;
    z-index: 0;
}

.wheel__frame,
.wheel__img {
    position: absolute;
    width: 100%;
    top: 0;
    aspect-ratio: 1 / 1;
}

.wheel__sway {
    -webkit-animation: 2s sway ease-in-out infinite;
    animation: 2s sway ease-in-out infinite;
}

.wheel__btn {
    z-index: 3;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    bottom: 0;
}

.wheel__frame {
    z-index: 2;
}

.wheel {
    z-index: 5;
}

.wheel__btn {
    cursor: pointer;
}

.wheel__btn-pulse {
    -webkit-animation: 1.5s pulse-centered ease-in-out infinite;
    animation: 1.5s pulse-centered ease-in-out infinite;
    transform-origin: center center;
}

.wheel__spin-first {
    -webkit-animation: 3s spin-first ease-in-out forwards;
    animation: 3s spin-first ease-in-out forwards
}

.wheel__spin-second {
    -webkit-animation: 3s spin-second ease-in-out forwards;
    animation: 3s spin-second ease-in-out forwards
}

.girl {
    position: relative;
    z-index: 4;
    aspect-ratio: 618 / 991;
    width: 618px;
    will-change: transform;
    pointer-events: none;
}

.girl-isolate {
    isolation: isolate;
    z-index: 100 !important;
}

.girl-image,
.left-light,
.right-light,
.center-light {
    position: absolute;
    width: 100%;
    height: auto;
    display: block;
    object-position: center -15%;
    pointer-events: none;
}

.left-light,
.right-light,
.center-light {
    width: 91px;
    height: 82px;
    opacity: 1;
    transition: all .5s ease;
}

.girl-image {
    position: absolute;
    bottom: 0;
}

.left-light,
.right-light,
.center-light {
    width: 100%;
    height: 100%;
}

.hide-light {
    animation: growAndFade 3s ease-in forwards;
    -webkit-animation: growAndFade 3s ease-in forwards;
}

.coin-mask {
    position: absolute;
    background-size: contain;
    pointer-events: none;
}

.coin-mask__left {
    aspect-ratio: 380 / 960;
    z-index: var(--coin-z-index, 3);
}

.coin-mask__right {
    aspect-ratio: 225 / 708;
    z-index: var(--coin-z-index, 3);
}

.coin-mask__center {
    aspect-ratio: 95 / 106;
    z-index: var(--coin-z-index, 3);
}

@media (orientation: portrait) and (min-width: 0px) {
    .content {
        padding: clamp(20px, 5vw, 35px) clamp(20px, 5vw, 35px) 0;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .logo {
        width: clamp(100px, 35vw, 256px);
        margin-bottom: clamp(17px, 3vw, 32px);
    }

    .title {
        text-align: center;
    }

    .title_first {
        text-align: center;
        font-size: clamp(12px, 2.7vh, 40px);
        letter-spacing: 1px;
    }

    .title_second {
        text-align: center;
        font-size: clamp(12px, 2.7vh, 36px);
        letter-spacing: 1px;
    }

    .wheel {
        width: clamp(200px, 65vw, 585px);
    }

    .girl {
        z-index: 4;
        width: clamp(100px, 25vh, 463px);
    }

    .coin-mask__left {
        background: image-set(
                url('../img/coins/left_coin_mask@1x.webp') 1x,
                url('../img/coins/left_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(100px, 15vw, 380px);
        left: 0;
        top: 40%;
    }

    .coin-mask__center {
        display: none;
    }

    .coin-mask__right {
        background: image-set(
                url('../img/coins/right_coin_mask@1x.webp') 1x,
                url('../img/coins/right_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(70px, 10vw, 200px);
        top: 50%;
        right: 0;
    }
}

@media (orientation: portrait) and (min-width: 0px) and (min-height: 760px) {
    .wheel {
        width: clamp(200px, 78vw, 500px);
    }
}

@media (orientation: portrait) and (min-width: 768px) {
    .girl {
        position: absolute;
        z-index: 4;
        bottom: 0;
        right: clamp(-200px, -10vw, -100px);
        width: clamp(100px, 44vw, 500px);
        transform-origin: right bottom;
        transition: width 0.3s ease;
    }
}

@media (orientation: portrait) and (min-width: 768px) and (min-height: 1024px) {
    .coin-mask__left {
        background: image-set(
                url('../img/coins/left_coin_mask@1x.webp') 1x,
                url('../img/coins/left_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(90px, 25vw, 380px);
        left: 0;
        top: auto;
        bottom: 0;
    }

    .coin-mask__center {
        display: block;

        background: image-set(
                url('../img/coins/center_coin_mask@1x.webp') 1x,
                url('../img/coins/center_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(20px, 7vw, 95px);
        left: 50%;
        bottom: 5%;
    }

    .coin-mask__right {
        background: image-set(
                url('../img/coins/right_coin_mask@1x.webp') 1x,
                url('../img/coins/right_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(90px, 10vw, 200px);
        top: 20%;
        right: 0;
    }
}

@media (orientation: portrait) and (min-width: 1024px) {
    .wheel {
        width: clamp(200px, 90vw, 630px);
    }
}

@media (orientation: landscape) and (min-width: 0px) {
    .content {
        padding: clamp(10px, 1vw, 60px) clamp(10px, 1vw, 60px) 0;
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    .logo {
        width: clamp(100px, 15vw, 310px);
        margin-bottom: clamp(8px, 1vw, 32px);
    }

    .title_first {
        font-size: clamp(14px, 2.5vw, 64px);
        letter-spacing: 1px;
    }

    .title_second {
        font-size: clamp(14px, 2.5vw, 64px);
        letter-spacing: 1px;
    }

    .wheel {
        margin: 0 auto;
        width: clamp(100px, 28vw, 630px);
    }

    .girl {
        z-index: 4;
        width: clamp(100px, 25vw, 463px);
    }

    .left,
    .right {
        height: 100%;
        position: relative;
    }

    .left {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .right {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
    }

    .coin-mask__left {
        background: image-set(
            url('../img/coins/left_coin_mask@1x.webp') 1x,
            url('../img/coins/left_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(90px, 15vw, 380px);
        right: 100%;
    }

    .coin-mask__center {
        background: image-set(
                url('../img/coins/center_coin_mask@1x.webp') 1x,
                url('../img/coins/center_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(20px, 5vw, 95px);
        right: 100%;
        bottom: 5%;
    }

    .coin-mask__right {
        background: image-set(
            url('../img/coins/right_coin_mask@1x.webp') 1x,
            url('../img/coins/right_coin_mask@2x.webp') 2x
        ) no-repeat center top;
        background-size: contain;
        width: clamp(70px, 10vw, 200px);
        top: 0;
        left: 100%;
    }
}

@media (orientation: landscape) and (min-width: 1024px) and (min-height: 600px) {
    .wheel {
        margin: 0 auto;
        width: clamp(100px, 30vw, 630px);
    }

    .girl {
        z-index: 4;
        width: clamp(100px, 27vw, 463px);
    }

    .logo {
        width: clamp(100px, 15vw, 310px);
        margin-bottom: clamp(8px, 2vw, 32px);
    }
}

@media (orientation: landscape) and (min-width: 1440px) and (min-height: 940px) {
    .girl {
        z-index: 4;
        width: clamp(100px, 27vw, 618px);
    }
}

@-webkit-keyframes pulse-centered {
    0% {
        -webkit-transform: translateX(-50%) scale(1);
        transform: translateX(-50%) scale(1);
    }
    50% {
        -webkit-transform: translateX(-50%) scale(1.05);
        transform: translateX(-50%) scale(1.05);
    }
    100% {
        -webkit-transform: translateX(-50%) scale(1);
        transform: translateX(-50%) scale(1);
    }
}

@keyframes pulse-centered {
    0% {
        -webkit-transform: translateX(-50%) scale(1);
        transform: translateX(-50%) scale(1);
    }
    50% {
        -webkit-transform: translateX(-50%) scale(1.05);
        transform: translateX(-50%) scale(1.05);
    }
    100% {
        -webkit-transform: translateX(-50%) scale(1);
        transform: translateX(-50%) scale(1);
    }
}

@-webkit-keyframes pulse {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.03);
        transform: scale(1.03);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes pulse {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.03);
        transform: scale(1.03);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@-webkit-keyframes sway {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    50% {
        -webkit-transform: rotate(-30deg);
        transform: rotate(-30deg)
    }
    100% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
}

@keyframes sway {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    50% {
        -webkit-transform: rotate(-30deg);
        transform: rotate(-30deg)
    }
    100% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
}

@-webkit-keyframes spin-first {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    70% {
        -webkit-transform: rotate(1265deg);
        transform: rotate(1265deg)
    }
    80% {
        -webkit-transform: rotate(1256deg);
        transform: rotate(1256deg)
    }
    100% {
        -webkit-transform: rotate(1260deg);
        transform: rotate(1260deg)
    }
}

@keyframes spin-first {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    70% {
        -webkit-transform: rotate(1265deg);
        transform: rotate(1265deg)
    }
    80% {
        -webkit-transform: rotate(1256deg);
        transform: rotate(1256deg)
    }
    100% {
        -webkit-transform: rotate(1260deg);
        transform: rotate(1260deg)
    }
}

@-webkit-keyframes spin-second {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    70% {
        -webkit-transform: rotate(1445deg);
        transform: rotate(1445deg)
    }
    80% {
        -webkit-transform: rotate(1436deg);
        transform: rotate(1436deg)
    }
    100% {
        -webkit-transform: rotate(1440deg);
        transform: rotate(1440deg)
    }
}

@keyframes spin-second {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    70% {
        -webkit-transform: rotate(1445deg);
        transform: rotate(1445deg)
    }
    80% {
        -webkit-transform: rotate(1436deg);
        transform: rotate(1436deg)
    }
    100% {
        -webkit-transform: rotate(1440deg);
        transform: rotate(1440deg)
    }
}

@-webkit-keyframes growAndFade {
    0% {
        -webkit-transform: translate(0, 0) scale(1);
        transform: translate(0, 0) scale(1);
        opacity: 1;
    }
    100% {
        -webkit-transform: translate(0, 0) scale(1.3);
        transform: translate(0, 0) scale(1.3);
        opacity: 0;
    }
}

@keyframes growAndFade {
    0% {
        -webkit-transform: translate(0, 0) scale(1);
        transform: translate(0, 0) scale(1);
        opacity: 1;
    }
    100% {
        -webkit-transform: translate(0, 0) scale(1.3);
        transform: translate(0, 0) scale(1.3);
        opacity: 0;
    }
}
